## jlex 1.2.6

=== debian/changelog ===
jlex (1.2.6-12) unstable; urgency=medium

  * Remove constraints unnecessary since buster:
    + Build-Depends: Drop versioned constraint on javahelper.
  * Upgrade to debhelper v13.
  * Simplify debian/rules using dh-sequence-javahelper.
  * debian/watch: Upgrade to version 4.

 -- Colin Watson <cjwatson@debian.org>  Wed, 29 Dec 2021 01:57:13 +0000

jlex (1.2.6-11) unstable; urgency=medium

  [ Colin Watson ]
  * Use debhelper-compat instead of debian/compat.

  [ Debian Janitor ]
  * Use secure URI in debian/watch.
  * Use secure URI in Homepage field.
  * Bump debhelper from old 9 to 12.

 -- Colin Watson <cjwatson@debian.org>  Sat, 06 Feb 2021 17:38:41 +0000

jlex (1.2.6-10) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/changelog: Remove trailing whitespaces

  [ Colin Watson ]
  * Set Rules-Requires-Root: no.

 -- Colin Watson <cjwatson@debian.org>  Sun, 10 Feb 2019 19:18:14 +0000

jlex (1.2.6-9) unstable; urgency=medium

  * Policy version 3.9.8: no changes required.
  * Move VCS to salsa.debian.org.

 -- Colin Watson <cjwatson@debian.org>  Sat, 05 May 2018 14:17:10 +0100

jlex (1.2.6-8) unstable; urgency=medium

  * Update Vcs-Browser URL for alioth cgit.
  * Policy version 3.9.6: no changes required.
  * Use HTTPS for Vcs-* URLs.
  * Upgrade to debhelper v9.

 -- Colin Watson <cjwatson@debian.org>  Wed, 27 Jan 2016 12:14:53 +0000

jlex (1.2.6-7) unstable; urgency=low

  * Remove article from start of short description, per lintian.
  * Insert an "Old Changelog:" line in debian/changelog to pacify Lintian
    regarding entries that used an old syntax.
  * Switch to git; add Vcs-* fields.
  * Policy version 3.9.5: no changes required.

 -- Colin Watson <cjwatson@debian.org>  Sat, 18 Jan 2014 16:23:46 +0000

jlex (1.2.6-6) unstable; urgency=low

  * Mark jlex Multi-Arch: foreign.

 -- Colin Watson <cjwatson@debian.org>  Wed, 09 Nov 2011 01:55:25 +0000

jlex (1.2.6-5) unstable; urgency=low

  * Use 'dh $@ --options' rather than 'dh --options $@', for
    forward-compatibility with debhelper v8.
  * Remove duplicate Priority field from binary control stanza.
  * Policy version 3.9.1: no changes required.

 -- Colin Watson <cjwatson@debian.org>  Sun, 19 Dec 2010 14:38:44 +0000

jlex (1.2.6-4) unstable; urgency=low

  * Upgrade to debhelper v7.
  * Use ${misc:Depends}.
  * Use doc-base section Programming/Java.
  * Use javahelper.
  * Policy version 3.8.4:
    - Add a Homepage field.
    - Move to section 'java'.
  * Add a watch file.
  * Convert to source format 3.0 (quilt).

 -- Colin Watson <cjwatson@debian.org>  Tue, 02 Mar 2010 13:03:17 +0000

jlex (1.2.6-3) unstable; urgency=low

  * Put debhelper in Build-Depends rather than in Build-Depends-Indep.

 -- Colin Watson <cjwatson@debian.org>  Wed, 28 Jun 2006 18:41:21 +0100

jlex (1.2.6-2) unstable; urgency=low

  * Convert to java-gcj-compat (thanks, Matt Zimmerman and Matthias Klose
    via Ubuntu; I added a dependency on java-gcj-compat |
    java-virtual-machine, and reverted the alternate dependency on
    java2-runtime since nothing actually seems to provide that).
  * Upgrade to debhelper compatibility level 4.
  * Convert from menu/dwww to doc-base.
  * Rename assert to ASSERT in sample.lex too.
  * Policy version 3.6.2.

 -- Colin Watson <cjwatson@debian.org>  Thu, 15 Dec 2005 11:43:10 +0000

jlex (1.2.6-1) unstable; urgency=low

  * New upstream release.
    - Rename assert, which clashed with Java 1.4 (closes: #261949).
  * Update copyright file.
  * Update debhelper build-dependency version to 3.0.0, not that I can
    remember why I was using DH_COMPAT=3 ...

 -- Colin Watson <cjwatson@debian.org>  Thu, 29 Jul 2004 13:09:44 +0100

jlex (1.2.5-4) unstable; urgency=low

  * Policy version 3.5.7:
    - Move build rules to build-indep target.
    - Drop /usr/doc symlink.
  * Use jikes-kaffe, which knows how to cope with kaffe's base classes
    having moved.

 -- Colin Watson <cjwatson@debian.org>  Sat,  5 Oct 2002 14:34:16 +0100

jlex (1.2.5-3) unstable; urgency=low

  * New Java policy proposal:
    - Ship a .jar in /usr/share/java rather than class files in
      /usr/share/java/repository.
    - Depend on a runtime as well as on a virtual machine (only Java 1 for
      now, as I haven't tested jlex with Java 2).
  * Use proper make dependencies to avoid running the build target twice.

 -- Colin Watson <cjwatson@debian.org>  Fri, 28 Dec 2001 00:09:33 +0000

jlex (1.2.5-2) unstable; urgency=low

  * Use Build-Depends-Indep rather than Build-Depends.

 -- Colin Watson <cjwatson@debian.org>  Wed, 19 Dec 2001 19:45:59 +0000

jlex (1.2.5-1) unstable; urgency=low

  * New maintainer (closes: #107253).
  * New upstream release (closes: #63165, #77527):
    - No longer needs separate JavaLexBitSet implementation. I've removed
      the Kore copyright notice from debian/copyright as a result.
    - Update main JLex copyright notice from
      http://www.cs.princeton.edu/~appel/modern/java/JLex/#LICENSE.
  * Repackaged with debhelper.
  * FHS transition (closes: #91185, #91510). Update manual page accordingly.
  * Builds with jikes and runs with kaffe, so adjust build system and
    dependencies and move to main (closes: #44472).
  * Move Java classes to /usr/share/java/repository, to comply with the
    proposed Debian Java Policy.

 -- Colin Watson <cjwatson@debian.org>  Mon,  6 Aug 2001 19:28:25 +0100

jlex (1.2.3-5) unstable; urgency=low

  * Removed redundant "icon=none" from menu file.
  * Minor debian/process beautification.

 -- Charles Briscoe-Smith <cpbs@debian.org>  Tue,  6 Oct 1998 02:42:36 +0100

jlex (1.2.3-4) unstable; urgency=low

  * Depend on "jdk1.1-runtime | jdk1.1" for maximal compatibility.
  * Update debian/rules.

 -- Charles Briscoe-Smith <cpbs@debian.org>  Sat,  3 Oct 1998 02:43:15 +0100

jlex (1.2.3-3) unstable; urgency=low

  * Depend on jdk1.1 instead of jdk1.1-runtime.

 -- Charles Briscoe-Smith <cpbs@debian.org>  Mon, 14 Sep 1998 13:32:24 +0100

jlex (1.2.3-2) unstable; urgency=low


