=== debian/control ===
Source: jlex
Section: devel
Priority: optional
Maintainer: Colin Watson <cjwatson@debian.org>
Standards-Version: 3.9.8
Build-Depends: debhelper-compat (= 13),
               dh-sequence-javahelper,
Build-Depends-Indep: default-jdk,
Homepage: https://www.cs.princeton.edu/~appel/modern/java/JLex/
Vcs-Git: https://salsa.debian.org/debian/jlex.git
Vcs-Browser: https://salsa.debian.org/debian/jlex
Rules-Requires-Root: no

Package: jlex
Architecture: all
Section: java
Depends: ${java:Depends},
         ${misc:Depends},
Replaces: javalex,
Conflicts: javalex,
Multi-Arch: foreign
Description: Lex-style lexical analyser generator for Java
 The JLex utility is a lexical analyser generator, modelled after the
 popular UNIX "lex" utility.
 .
 JLex takes a specification file similar to that accepted by Lex,
 then creates a Java source file for the corresponding lexical analyzer.
