=== debian/rules ===
#! /usr/bin/make -f

include /usr/share/javahelper/java-vars.mk

%:
	dh $@

override_jh_build:
	jh_build -mJLex.Main JLex.jar Main.java
