=== debian/watch ===
version=4
https://www.cs.princeton.edu/~appel/modern/java/JLex/ \
  Archive/(.+)/Main.java
